ruby-rainbow_2.0.0-1_all.deb


Advertisement

Description

ruby-rainbow - extension of Ruby String class enabling colored text on ANSI terminals

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-rainbow
Package version: 2.0.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 70 B
Download size: 8.13 KB
Official Mirror: archive.ubuntu.com
Rainbow extends the ruby string class to enable coloring text on ANSI terminals. It adds methods to the String class and allowing the use offoreground and background color, bright, italic, underline, blink, reverse, hide and reset on text for ANSI terminals.

Alternatives

    Download

    Source package: ruby-rainbow

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-rainbow deb package:
      # sudo apt-get install ruby-rainbow

    Files

    • /usr/lib/ruby/vendor_ruby/rainbow.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/color.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/global.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/legacy.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/null_presenter.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/presenter.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/string_utils.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/version.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/wrapper.rb
    • /usr/lib/ruby/vendor_ruby/rainbow/ext/string.rb
    • /usr/share/doc/ruby-rainbow/README.markdown.gz
    • /usr/share/doc/ruby-rainbow/changelog.Debian.gz
    • /usr/share/doc/ruby-rainbow/copyright
    • /usr/share/rubygems-integration/all/specifications/rainbow-2.0.0.gemspec

    Changelog

    2014-02-05 - Nitesh A Jain <niteshjain92@gmail.com> ruby-rainbow (2.0.0-1) unstable; urgency=low * New upstream release

    2014-01-03 - Nitesh A Jain <niteshjain92@gmail.com> ruby-rainbow (1.99.1-1) unstable; urgency=low * New upstream release * Moved from d/ruby-tests.rb to d/ruby-tests.rake as upstream moved to spec/ * Added ruby-rspec-core to build depends to fix failing tests * Bump gem2deb dependency to 0.6.1~ * Bump standards version to 3.9.5

    2013-05-16 - Nitesh A Jain <niteshjain92@gmail.com> ruby-rainbow (1.1.4-1) unstable; urgency=low * Initial release (Closes: #708532)

    Advertisement
    Advertisement